import questionGenerate from '../../question/index.js';
import Jquery from 'jquery';
let AnswerHeader = function ($page) {
  let editor = this.editor;
  let type = editor.layoutMode;
  if (type === 2 && $page.pageIndex % 2 > 0) {
    return false;
  }
  let pageSize = editor.pageSize;
  let paperModel = editor.noMode; // editor.paperModel;
  let columNumber = parseInt(editor.columnNumber);
  let key = pageSize + '_' + paperModel + '_' + columNumber + '_';
  if (parseInt(editor.noCount) > 9) {
    key += 2;
  } else {
    key += 1;
  }
  if (editor.page) {
    Jquery(editor.page.$el[0]).trigger('addContent');
  }
  return questionGenerate.generateQuestionHead(editor, key, $page);
}

export default {
  _answerHeader: AnswerHeader
}
