import { getParentByClassname } from '../../util/util.js';
import questionGenerate from '../../question/index.js';
import Jquery from 'jquery';
let Questiontype = function (params) {
  let editor = this.editor;
  let type = params.type;
  let data = params.data;
  let visible = data.visible;
  if (!visible) {
    return false;
  }
  const manage = editor.page;
  let border = manage.editorPosition.currentBorder;
  if (!border) {
    editor.message.showMessage('请在题框中添加题！');
    return '';
  }
  switch (parseInt(type)) {
    case 1:
    questionGenerate.generateChoice(border, data, editor);
    break;
    case 2: 
    questionGenerate.generateJudge(border, data, editor);
    break;
    case 3:
    questionGenerate.generateSubjectBox(border, data, editor);
    break;
    case 4: 
    questionGenerate.generateWriting(border, data, editor);
    break;
  }
  Jquery(editor.page.$el[0]).trigger('addContent');
 }
 export default {
   _questiontype: Questiontype
 }